Skip to content

Credit burn rate and projection

GET
/api/v1/monitoring/credit-burn
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/monitoring/credit-burn?time_range=24h' \
--header 'X-API-Key: <X-API-Key>'

Returns credit consumption rate, per-agent breakdown, and projected exhaustion date.

time_range
Time Range

Time window for burn rate calculation

string
default: 24h /^(1h|6h|24h|7d)$/

Time window for burn rate calculation

total_credits
Any of:
integer

Current credit balance for exhaustion projection

Successful Response

Media typeapplication/json
CreditBurnResponse

Credit burn rate dashboard data.

object
burn_rate_per_hour
required
Burn Rate Per Hour
number
by_agent
required
By Agent
object
key
additional properties
AgentCreditBreakdown

Credit consumption breakdown for a single agent.

object
credits_consumed
required
Credits Consumed
integer
top_models
Top Models
Array<object>
object
key
additional properties
any
transaction_count
required
Transaction Count
integer
projected_exhaustion_date
Any of:
string
projected_exhaustion_hours
Any of:
number
tenant_id
required
Tenant Id
string
time_range
required
Time Range
string
total_consumed
required
Total Consumed
integer
Examplegenerated
{
"burn_rate_per_hour": 1,
"by_agent": {
"additionalProperty": {
"credits_consumed": 1,
"top_models": [
{}
],
"transaction_count": 1
}
},
"projected_exhaustion_date": "example",
"projected_exhaustion_hours": 1,
"tenant_id": "example",
"time_range": "example",
"total_consumed": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}